Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2.deploy
Class DeploymentPoller

    java.lang.Object
      org.apache.ode.axis2.deploy.DeploymentPoller

    public class DeploymentPoller

extends java.lang.Object

Polls a directory for the deployment of a new deployment unit.

Nested Class Summary
`protected class` | `DeploymentPoller.DDWatchDogObserver`

Field Summary
`protected ODEServer` | `_odeServer`

Constructor Summary
`DeploymentPoller(java.io.File deployDir, ODEServer odeServer)`

Method Summary
`protected void` | `checkDeployXmlWatchDog(WatchDog ddWatchDog)`
`protected void` | `checkSystemCronConfigWatchDog(WatchDog ddWatchDog)`
`protected WatchDog` | `createSystemCronConfigWatchDog(CronScheduler cronScheduler)`
`protected SystemSchedulesConfig` | `createSystemSchedulesConfig(java.io.File configRoot)`
`protected void` | `disposeDeployXmlWatchDog(java.io.File deployDir)`
`protected WatchDog` | `ensureDeployXmlWatchDog(java.io.File deployFolder, java.io.File deployXml)`
`void` | `hold()`
`protected boolean` | `isDeploymentFromODEFileSystemAllowed()`
`void` | `markAsDeployed(java.io.File file)`
`void` | `markAsUndeployed(java.io.File file)`
`void` | `release()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _odeServer

    protected ODEServer _odeServer

Constructor Detail

### DeploymentPoller

    public DeploymentPoller(java.io.File deployDir,
                            ODEServer odeServer)

Method Detail

### start

    public void start()

### stop

    public void stop()

### isDeploymentFromODEFileSystemAllowed

    protected boolean isDeploymentFromODEFileSystemAllowed()

### ensureDeployXmlWatchDog

    protected WatchDog ensureDeployXmlWatchDog(java.io.File deployFolder,
                                               java.io.File deployXml)

### checkDeployXmlWatchDog

    protected void checkDeployXmlWatchDog(WatchDog ddWatchDog)

### disposeDeployXmlWatchDog

    protected void disposeDeployXmlWatchDog(java.io.File deployDir)

### createSystemSchedulesConfig

    protected SystemSchedulesConfig createSystemSchedulesConfig(java.io.File configRoot)

### createSystemCronConfigWatchDog

    protected WatchDog createSystemCronConfigWatchDog(CronScheduler cronScheduler)

### checkSystemCronConfigWatchDog

    protected void checkSystemCronConfigWatchDog(WatchDog ddWatchDog)

### hold

    public void hold()

### release

    public void release()

### markAsDeployed

    public void markAsDeployed(java.io.File file)

### markAsUndeployed

    public void markAsUndeployed(java.io.File file)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD